#!/bin/sh
set -x
# Version: 0.0.5 pre-alpha
# Author: Dimitrios Dimitrakos mail@dimitrios.de
# $Id: vdr2vcd.sh,v 1.2 2003/06/28 14:33:24 dimi Exp $

. ./vdrconvert.env

[ -z "$VCD_DESTDIR" ]  && VCD_DESTDIR=$DESTDIR/vcd 

NewJobs=$1
JOBFIL=$2
DESTDIR=$VCD_DESTDIR
TEMPDIR=${TEMPDIR}/${JOBFIL}

[ -d $DESTDIR ] || mkdir -p $DESTDIR 
[ -d $TEMPDIR ] || mkdir -p $TEMPDIR

if [ -w ${TEMPDIR} -a -w ${DESTDIR} ]
then
      declare CMDLIN=`head -n1 $NewJobs`   # Job auslesen
      rm $NewJobs
      let Number=1
      for i in $CMDLIN
      do
	  UniqueDir[Number]=`mktemp -d ${TEMPDIR}/VCD.XXXXXX`
	  mkdir -p ${UniqueDir[Number]}
	  cd ${UniqueDir[Number]}
	  spalten=`echo $i|sed 's/\// /g'|wc -w`
	  Record=`echo $i|sed 's/\%//g'|cut -f $spalten -d '/'`
	  let spalten=spalten-1
	  SubTitel=`echo $i|cut -f $spalten -d '/'`
	  Datum=`basename $i|cut -f1 -d'.'`
	  if [ "/$SubTitel" = "$VDRROOT" ] 
	  then
		Titel=${Datum}_${Record} 
	  else
		Titel=${SubTitel}/${Datum}_${Record}
	  fi
	  [ ! -d ${UniqueDir[Number]}/${Titel} ] && mkdir -p ${UniqueDir[Number]}/${Titel}
	  [ ! -d ${DESTDIR}/${Titel} ] && mkdir -p ${DESTDIR}/${Titel}
          echo "${VCD_OPTS} -1 -o ${UniqueDir[Number]}/${Titel} $CMDLIN"|xargs nice -$PRIO $TOSVCD
	  mv ${UniqueDir[Number]}/${Titel}*.bin ${DESTDIR}/${Titel}
	  cd -
     	  rm -rf ${UniqueDir[Number]}
     done
else
      echo "ERROR : ${DESTDIR} or ${TEMPDIR} are not writable. $0 exit"
fi
echo $CMDLIN >> ${JOBFIL}.done
